--- old/usr/src/man/man3c/ftime.3c	Tue Aug 12 07:52:11 2014
+++ new/usr/src/man/man3c/ftime.3c	Tue Aug 12 07:52:11 2014
@@ -1,4 +1,4 @@
-'\" te
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\"  Copyright (c) 2002, Sun Microsystems, Inc. All Rights Reserved  Portions Copyright (c) 1992, X/Open Company Limited  All Rights Reserved
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
@@ -7,84 +7,92 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH FTIME 3C "Jul 24, 2002"
-.SH NAME
-ftime \- get date and time
-.SH SYNOPSIS
-.LP
-.nf
-#include <sys/timeb.h>
-
-\fBint\fR \fBftime\fR(\fBstruct timeb *\fR\fItp\fR);
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The \fBftime()\fR function sets the \fBtime\fR and \fBmillitm\fR members of the
-\fBtimeb\fR structure pointed to by \fItp\fR. The structure is defined in
-<\fBsys/timeb.h\fR> and contains the following members:
-.sp
-.in +2
-.nf
-time_t           time;
-unsigned short   millitm;
-short            timezone;
-short            dstflag;
-.fi
-.in -2
-
-.sp
-.LP
-The \fBtime\fR and \fBmillitm\fR members contain the seconds and milliseconds
+.Dd "Jul 19, 2014"
+.Dt FTIME 3C
+.Os
+.Sh NAME
+.Nm ftime
+.Nd get date and time
+.Sh SYNOPSIS
+.In sys/timeb.h
+.Ft int
+.Fn ftime "struct timeb *tp"
+.Sh DESCRIPTION
+The
+.Fn ftime
+function sets the
+.Fa time
+and
+.Fa millitm
+members of the
+.Ft timeb
+structure pointed to by
+.Fa tp .
+The structure is defined in
+.In sys/timeb.h
+and contains the following members:
+.Bl -column "unsigned short" "timezone" -offset indent
+.It Ft time_t Ta Fa time ;
+.It Ft unsigned short Ta Fa millitim ;
+.It Ft short Ta Fa timezone ;
+.It Ft short Ta Fa dstflag ;
+.El
+.Lp
+The
+.Fa time
+and
+.Fa millitm
+members contain the seconds and milliseconds
 portions, respectively, of the current time in seconds since 00:00:00 UTC
 (Coordinated Universal Time), January 1, 1970.
-.sp
-.LP
-The \fBtimezone\fR member contains the local time zone. The \fBdstflag\fR
-member contains a flag that, if non-zero, indicates that Daylight Saving time
+.Lp
+The
+.Fa timezone
+member contains the local time zone. The
+.Fa dstflag
+member contains a flag that, if non-zero, indicates that Daylight Saving Time
 applies locally during the appropriate part of the year.
-.sp
-.LP
-The contents of the \fBtimezone\fR and \fBdstflag\fR members of \fItp\fR after
-a call to \fBftime()\fR are unspecified.
-.SH RETURN VALUES
-.sp
-.LP
-Upon successful completion, the \fBftime()\fR function returns \fB0\fR.
-Otherwise \fB\(mi1\fR is returned.
-.SH ERRORS
-.sp
-.LP
+.Lp
+The contents of the
+.Fa timezone
+and
+.Fa dstflag
+members of
+.Fa tp
+after a call to
+.Fn ftime
+are unspecified.
+.Sh RETURN VALUES
+.Rv -std
+.Sh ERRORS
 No errors are defined.
-.SH USAGE
-.sp
-.LP
-For portability to implementations conforming to earlier versions of this
-document, \fBtime\fR(2) is preferred over this function.
-.sp
-.LP
+.Sh USAGE
+Portable applications should use either
+.Xr time 2 ,
+or, if sub-second precision is required,
+.Xr clock_gettime 3C .
+.Lp
 The millisecond value usually has a granularity greater than one due to the
 resolution of the system clock.  Depending on any granularity (particularly a
 granularity of one) renders code non-portable.
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Standard
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBdate\fR(1), \fBtime\fR(2), \fBctime\fR(3C), \fBgettimeofday\fR(3C),
-\fBtimezone\fR(4), \fBattributes\fR(5), \fBstandards\fR(5)
+.Sh INTERFACE STABILITY
+.Sy Obsolete Standard .
+.Sh MT-LEVEL
+.Sy Safe .
+.Sh SEE ALSO
+.Xr date 1 ,
+.Xr time 2 ,
+.Xr clock_gettime 3C ,
+.Xr ctime 3C ,
+.Xr gettimeofday 3C ,
+.Xr timezone 4 ,
+.Xr standards 5
+.Sh STANDARDS
+The
+.Fn ftime
+function was introduced in
+.St -xpg4.2 .
+It was subsequently obsoleted in
+.St -p1003.1-2001
+and removed from
+.St -p1003.1-2008 .
